[Show "Revision History"] [Show "General Page Infos"] [Show "Page hits and edits"]

Revision History

Showing page edit history entries from 370 to 469 out of 469 entries total. (5 | 10 | 25 | 50 | 100 | 200 items per page)

# Date Size Editor Comment Action
468 2016-01-18 13:03:44 56502 to previous StephaneChazelas   view
467 2016-01-18 13:02:01 56497 to previous StephaneChazelas   view
466 2016-01-18 12:50:50 56163 to previous StephaneChazelas Mention that it also concerns symlinks to inaccessible files. view
465 2016-01-18 12:44:39 56026 to previous StephaneChazelas errors on stderr view
464 2016-01-11 21:25:12 56022 to previous GreyCat not perfectly... view
463 2015-12-24 00:38:26 56024 to previous GreyCat ((foo > 7)) and [[ foo -gt 7 ]] are both *correct*, in both bash and ksh. Try 'em. view
462 2015-12-23 17:30:55 56026 to previous 38 Adds missing $ signs in first part of Pitfall 7. view
461 2015-11-26 15:34:38 56024 to previous GreyCat Completely incorrect assertion. Try this: var="-n"; echo "$var" Even if your assertion WERE true for bash >= n we would still have to mark it a pitfall for other shells/versions. view
460 2015-11-26 08:18:12 55716 to previous pool-173-61-210-188 Removed claim that echo can't safely display a variable like var="-n Text". As of bash 4.1.7, echo $var _will_ interpret the leading -n as a flag, but echo "$var" will print exactly what's expected. view
459 2015-11-22 21:25:54 56024 to previous GreyCat ssh (or ffmpeg) only running once in a while read loop is FAQ 89 view
458 2015-11-22 20:48:03 56519 to previous 199   view
457 2015-09-02 15:13:49 56024 to previous GreyCat Put the UMQ right up top. Change some wording. view
456 2015-09-02 14:47:54 55095 to previous GreyCat no, IFS=$'\n' won't work either view
455 2015-09-02 13:05:50 54761 to previous cpc38-dudl11-2-0-cust78   view
454 2015-08-18 08:42:11 54695 to previous geirha The description of how sed works, and even the proposed solution is wrong. view
453 2015-08-17 23:23:13 55177 to previous pool-100-32-136-77 added pitfal on using sed to grab values from stream view
452 2015-08-13 11:55:05 54695 to previous GreyCat No, it really was pitfall #2. Not #3. But screw it. Just put English words directly in the comment. view
451 2015-08-13 02:32:38 54693 to previous llua   view
450 2015-04-18 22:02:23 54627 to previous GreyCat IFS=, read -ra fields <<< "$csv_line" view
449 2015-04-18 21:51:18 53375 to previous GreyCat fix anchors view
448 2014-11-02 11:37:32 53423 to previous vil69-1-82-67-51-185   view
447 2014-10-10 12:10:04 53354 to previous pgas   view
446 2014-09-22 18:02:34 53099 to previous freedom2   view
445 2014-07-05 09:08:40 52949 to previous MikeJonkmans added some words on `]` view
444 2014-06-28 13:44:22 52712 to previous ormaaj Don't use which(1). Since [ is usually builtin, which will lie to you. view
443 2014-06-27 14:53:19 52718 to previous gbibp9ph1--blueice3n7   view
442 2014-06-25 20:05:28 52658 to previous ormaaj mksh now supports pipefail. view
441 2014-06-02 14:56:14 52590 to previous GreyCat y=$(( array[$x] )) code injection view
440 2014-04-06 16:42:55 51679 to previous 212 typo fixed view
439 2014-03-27 12:12:34 51680 to previous GreyCat indentation in PF 4 view
438 2014-01-24 21:17:15 51667 to previous geirha just testing what the gui editor would do view
437 2014-01-24 21:15:01 51739 to previous geirha   view
436 2014-01-24 21:08:49 51667 to previous GreyCat Please don't put blank lines between Anchor and question. Greybot parses this, and those break it. view
435 2014-01-21 13:47:04 51741 to previous GreyCat   view
434 2014-01-21 13:44:49 51736 to previous GreyCat remove set -e stuff; I merged it into FAQ 105 view
433 2014-01-21 11:40:30 52200 to previous mx1   view
432 2014-01-07 18:22:44 51764 to previous StephaneChazelas removed note about quote nesting for backticks which is incorrect, add missing -P and -- for cd and dirname view
431 2014-01-07 18:17:14 51877 to previous StephaneChazelas adding missing quotes view
430 2013-12-16 16:46:51 51867 to previous 94 Ever heard of the ext4 data loss "bug"? view
429 2013-10-18 15:45:47 51740 to previous GreyCat PF35: same issue with [[ $foo = "glob" ]] view
428 2013-10-13 05:41:43 51499 to previous 76-10-140-160 added missing quotes around possible GLOB view
427 2013-08-05 00:51:47 51456 to previous shmdmzpr03-ext   view
426 2013-07-03 12:33:03 51467 to previous fran Don't break out of loop in case a file has been removed before it is processed. view
425 2013-06-06 10:52:15 51464 to previous host223-59-dynamic   view
424 2013-04-18 05:49:06 51457 to previous geirha Revert to revision 422. view
423 2013-04-17 12:23:17 51458 to previous 92   view
422 2013-04-04 22:45:26 51457 to previous GreyCat Variables in a math context DON'T require a $ to be expanded. That was kinda the point of the "Works, but most will consider it wrong" comment. view
421 2013-04-04 12:24:30 51459 to previous 95 variable require $ prefix view
420 2013-03-25 12:48:41 51457 to previous GreyCat pf41: (lack of) portability note view
419 2013-03-24 11:02:48 51419 to previous ormaaj Add crappy array wordsplit abuse to pf 1 view
418 2013-03-24 10:47:50 51341 to previous ormaaj   view
417 2013-03-24 10:44:33 51332 to previous ormaaj There's nothing wrong with this expression, people just need to be aware of its behavior. view
416 2013-02-11 01:26:07 50308 to previous ormaaj Had to fix indenting. Also, done through pf 11 view
415 2013-02-10 22:24:50 49735 to previous ormaaj Copy editing. Pf 1-8 done. Enough for today. view
414 2013-02-09 17:32:16 46184 to previous ormaaj Buggy solution. Needs either -- or to not to strip the ./. view
413 2013-01-27 06:38:12 46291 to previous Lhunath nonsense edit. view
412 2013-01-27 04:17:04 46294 to previous 18   view
411 2013-01-15 21:19:30 46291 to previous GreyCat link to UsingFind in #1 view
410 2013-01-03 13:11:40 46231 to previous GreyCat simplify view
409 2013-01-03 10:11:21 46244 to previous ormaaj (($?)) && ... view
408 2012-12-20 16:43:27 45589 to previous HSI-KBW-46-223-133-42   view
407 2012-12-20 16:32:05 45565 to previous HSI-KBW-46-223-133-42   view
406 2012-09-03 12:30:35 45306 to previous nrbg-4dbe18f3 Let's provoke a disaster on Debian too that can be taken seriously. Here, rm * will _always_ (by default) do a rm -i *. (Except for the superuser) view
405 2012-07-30 09:49:49 45303 to previous 151 pitfall 23: exmark='!' ; echo "Hello, world$exmark" view
404 2012-07-21 19:36:26 45225 to previous 178 Mention Substring Expansion for removing first character of a word view
403 2012-07-21 19:19:34 45157 to previous 178   view
402 2012-06-28 15:53:52 45161 to previous 201 We have to be consistent in variable naming conventions. !varcap. view
401 2012-04-23 16:41:01 45161 to previous c-71-232-80-14   view
400 2012-04-04 03:57:57 44974 to previous ormaaj 2>&1. How'd we go without this so long? view
399 2012-04-02 10:10:42 43922 to previous Lhunath don't take personal offense, 125, and thanks for the contribution. view
398 2012-04-02 09:08:39 43955 to previous 125 sorry for mistakes ive made. view
397 2012-04-02 08:36:10 44112 to previous 125   view
396 2012-04-02 06:45:59 43955 to previous Lhunath   view
395 2012-04-02 06:44:15 43955 to previous Lhunath   view
394 2012-04-02 04:53:54 43684 to previous 125   view
393 2012-04-02 04:51:13 43679 to previous 125   view
392 2012-03-29 20:49:26 42242 to previous ormaaj use greycat's version. view
391 2012-03-29 20:46:54 41881 to previous ormaaj Too long, greycat angry, so move to BraceExpansion view
390 2012-03-29 20:45:22 42242 to previous GreyCat Strip esoteric crap out of #33 (for i in {1..$n}). If the material is important, please put it on BraceExpansion or in a separate FAQ entry. Removed redundant category tags. view
389 2012-03-29 19:32:35 44031 to previous ormaaj ...and add some workarounds to make it generalize to not only loops. This might be long enough for an FAQ. view
388 2012-03-28 00:07:32 42503 to previous ormaaj Brace expansion "portability" note. The Bash way isn't entirely "unfortunate". view
387 2012-02-22 09:26:34 41881 to previous 129 "[[ -f $i ]] || continue" changed to '[[ -f "$i" ]] || continue' view
386 2011-11-27 02:05:53 41879 to previous 184-175-28-167   view
385 2011-11-08 16:16:20 41838 to previous GreyCat answer question in #1 view
384 2011-11-08 12:53:12 41701 to previous 129   view
383 2011-09-22 21:51:35 41528 to previous cust zsh will accept such syntax too view
382 2011-08-21 18:44:50 41482 to previous 35   view
381 2011-08-10 18:07:47 41476 to previous GreyCat perl's grep command has nothing to do with variables being lost because they were set in a subshell in a bash script view
380 2011-08-10 12:56:49 41647 to previous 110-234-19-41   view
379 2011-07-23 19:55:37 41476 to previous GreyCat clean up last part of 19 view
378 2011-07-23 19:32:39 41632 to previous GreyCat export foo=~/bar (new) and content=$(<file) (cleanup) view
377 2011-07-14 15:32:46 40878 to previous GreyCat DRLWF view
376 2011-06-30 12:42:27 40731 to previous GreyCat Simplify. This is not the Guide, nor is it the FAQ. We don't want 100% bulletproof complex code here -- we want things EASY. view
375 2011-06-30 12:26:12 40943 to previous 74 Changed proposed solution for scanning all subdirectories for files as previous one broke if file name contained new line characters. view
374 2011-06-21 02:14:39 41048 to previous 64 #16 I felt quotation marks were necessary. -m view
373 2011-03-15 14:12:41 41020 to previous 84-73-54-61   view
372 2011-01-16 01:34:08 40507 to previous S0106002369c5b3ed Added second method for iterating through files (works on subtrees) view
371 2010-12-14 20:40:43 40298 to previous GreyCat [ -n $foo ] or [ -z $foo ] view
370 2010-12-07 14:04:55 39826 to previous GreyCat links from [[ to FAQ 031 for lazy readers view
369 2010-11-08 13:41:39 39771 to previous GreyCat changes to #6 view